Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class JsseSSLManager

    java.lang.Object
      org.apache.jmeter.util.SSLManager
          org.apache.jmeter.util.JsseSSLManager

public class JsseSSLManager
extends SSLManager

The SSLManager handles the KeyStore information for JMeter. Basically, it handles all the logic for loading and initializing all the JSSE parameters and selecting the alias to authenticate against if it is available. SSLManager will try to automatically select the client certificate for you, but if it can't make a decision, it will pop open a dialog asking you for more information. TODO: does not actually prompt

Field Summary

Fields inherited from class org.apache.jmeter.util.SSLManager
`defaultpw, JAVAX_NET_SSL_KEY_STORE`

Constructor Summary
`JsseSSLManager(Provider provider)` Create the SSLContext, and wrap all the X509KeyManagers with our X509KeyManager so that we can choose our alias.

Method Summary
`SSLContext` | `getContext()` Returns the SSLContext we are using.
`void` | `resetContext()` Resets the SSLContext if using per-thread contexts.
`void` | `setContext(HttpURLConnection conn)` Sets the Context attribute of the JsseSSLManager object
`protected void` | `setProvider(Provider p)` Sets the Provider attribute of the JsseSSLManager object

Methods inherited from class org.apache.jmeter.util.SSLManager
`getInstance, getKeyStore, getTrustStore, isSSLSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsseSSLManager

    public JsseSSLManager(Provider provider)

  Create the SSLContext, and wrap all the X509KeyManagers with our X509KeyManager so that we can choose our alias.

Parameters:
  `provider` - Description of Parameter

Method Detail

### setContext

    public void setContext(HttpURLConnection conn)

  Sets the Context attribute of the JsseSSLManager object

  Specified by:
    `setContext` in class `SSLManager`
  Parameters:
    `conn` - The new Context value

### setProvider

    protected final void setProvider(Provider p)

  Sets the Provider attribute of the JsseSSLManager object

  Overrides:
    `setProvider` in class `SSLManager`
  Parameters:
    `p` - The new Provider value

### getContext

    public SSLContext getContext()
                          throws GeneralSecurityException

  Returns the SSLContext we are using. This is either a context per thread, or, for backwards compatibility, a single shared context.

  Returns:
    The Context value
  Throws:
    `GeneralSecurityException`

### resetContext

    public void resetContext()

  Resets the SSLContext if using per-thread contexts.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.